Subject: Re: setfacl on Cygwin
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: Bruno Haible <[email-masked]>
Date: Thu, 22 May 2008 14:34:40 +0200
List-Id: <cygwin.cygwin.com>

On May 22 05:47, Eric Blake wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> According to Bruno Haible on 5/21/2008 5:05 PM:
> | Hi Eric,
> |
> | I'm looking at ACL support for gnulib. Can you reproduce this with a
> | recent Cygwin? With a two-year-old Cygwin I got this:
>
> I reproduced the same symptoms with cygwin 1.5.25-11.
>
> |
> | $ touch foo
> |
> | $ getfacl foo
> | # file: foo
> | # owner: haible
> | # group: None
> | user::rw-
> | group::r--
> | mask:rwx
> | other:r--
> |
> | $ setfacl -m user:4:--x foo
> | setfacl: No error
> |
> | $ echo $?
> | 0
> |
> | $ getfacl foo
> | # file: foo
> | # owner: haible
> | # group: None
> | user::rw-
> | group::r--
> | mask:rwx
> | other:r--
> |
> | The setfacl program
> |   1. complained about "No error",
> |   2. exited with exit code 0 although it did not execute the requested
> change.

The problem is that the request can't be executed because we have no
mapping from uid 4 to a Windows SID.  OTOH, the underlying Solaris
function acl() does not define any error code for a non-existant user
because it's not an error on Solaris. 

What error code do you want?  EINVAL?

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/